#针对于native方法不混淆
-keepclasseswithmembernames class * {
    native <methods>;
}

#v4包不要混淆
-keep class android.support.v4.app.** {*;}
-keep interface android.support.v4.**{*;}
#Gson不要混淆
-keep class sun.misc.Unsafe { *; }
-keep class com.idea.fifaalarmclock.entity.***
-keep class com.google.gson.** { *; }
#javaBean对象不要混淆
-keepclassmembers public class com.mn.gradledemo.bean.**{
    void set*(***);
    *** get*();
}
#忽略第三方库，不要混淆
-keep class io.** {*;}